Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 237978 - net-misc/vinagre-0.5.1 fails to install (which is needed for emerg gnome)
Summary: net-misc/vinagre-0.5.1 fails to install (which is needed for emerg gnome)
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
: 240626 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-09-18 04:18 UTC by hadian
Modified: 2008-10-09 02:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/tmp/portage/net-misc/vinagre-0.5.1/temp/build.log (build.log,10.10 KB, text/plain)
2008-09-18 04:19 UTC, hadian
Details
/var/tmp/portage/net-misc/vinagre-0.5.1/work/vinagre-0.5.1/config.log (config.log,47.92 KB, text/plain)
2008-09-18 04:19 UTC, hadian
Details
/etc/make.conf file (make.conf,821 bytes, text/plain)
2008-09-18 13:59 UTC, hadian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hadian 2008-09-18 04:18:37 UTC
net-misc/vinagre-0.5.1 which is needed for "emerge gnome" fails to install.
/var/tmp/portage/net-misc/vinagre-0.5.1/work/vinagre-0.5.1/config.log and /var/tmp/portage/net-misc/vinagre-0.5.1/temp/build.log are attached.

Reproducible: Always
Comment 1 hadian 2008-09-18 04:19:27 UTC
Created attachment 165697 [details]
/var/tmp/portage/net-misc/vinagre-0.5.1/temp/build.log
Comment 2 hadian 2008-09-18 04:19:59 UTC
Created attachment 165698 [details]
/var/tmp/portage/net-misc/vinagre-0.5.1/work/vinagre-0.5.1/config.log
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-09-18 04:38:12 UTC
Also would like to see emerge --info. Thanks.
Comment 4 Rémi Cardona gentoo-dev 2008-09-18 06:47:14 UTC
Could you paste the output of "emerge -1 avahi -pv" and then could you rebuild it using "emerge -1 avahi" ?

Thanks
Comment 5 hadian 2008-09-18 08:21:36 UTC
the output of "emerge --info":
Portage 2.1.4.4 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r7 i686)
=================================================================
System uname: 2.6.25-gentoo-r7 i686 AMD Athlon(tm) 64 X2 Dual Core Processor 4600+
Timestamp of tree: Wed, 17 Sep 2008 11:15:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.mcs.anl.gov/pub/gentoo/ ftp://mirror.mcs.anl.gov/pub/gentoo/ http://ftp.heanet.ie/pub/gentoo/ ftp://ftp.heanet.ie/pub/gentoo/ "
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acl alsa avahi berkdb bzip2 cdr cli cracklib crypt cups dri dvd fortran gdbm gnome gpm gtk hal iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

the output of "emerge -1 avahi -pv"
after "emerge -1 avahi" i did "emerge gnome" but the problem with vinagre still exist.
Comment 6 hadian 2008-09-18 08:23:13 UTC
the output of "emerge -1 avahi -pv":

These are the packages that would be merged, in order:

Calculating dependencies   ... done!
[ebuild   R   ] net-dns/avahi-0.6.22-r1  USE="gdbm gtk ipv6 python -autoipd -bookmarks -dbus -doc -howl-compat -mdnsresponder-compat -mono -qt3 -qt4 -test" 0 kB 

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Comment 7 Rémi Cardona gentoo-dev 2008-09-18 09:04:02 UTC
Any reason why you don't have the dbus flag set?

Please add it to /etc/make.conf and "emerge -DuN world -pv"

Thanks
Comment 8 hadian 2008-09-18 09:31:34 UTC
(In reply to comment #7)
> Any reason why you don't have the dbus flag set?
> 
> Please add it to /etc/make.conf and "emerge -DuN world -pv"
> 
> Thanks
> 
i am a new commer to gentoo. i used http://www.gentoo.org/doc/en/gnome-config.xml for determining the USE flags. is there any other things that should be added to my USE flags? X,....?
Comment 9 hadian 2008-09-18 09:50:29 UTC
result of "emerge -DuN world -pv":
These are the packages that would be merged, in order:

Calculating world dependencies  . ... done!
[ebuild   R   ] x11-libs/cairo-1.6.4-r1  USE="-X* -debug -directfb -doc -glitz -opengl -svg -test -xcb" 0 kB 
[ebuild   R   ] x11-libs/pango-1.20.5  USE="-X* -debug -doc" 0 kB 
[ebuild   R   ] sys-apps/dbus-1.1.20  USE="-X* -debug -doc (-selinux)" 0 kB 
[ebuild   R   ] sys-apps/groff-1.19.2-r1  USE="-X* -cjk" 0 kB 
[ebuild   R   ] net-misc/openssh-4.7_p1-r6  USE="pam tcpd -X* -X509 -chroot -hpn -kerberos -ldap -libedit (-selinux) -skey -smartcard -static" 0 kB 
[ebuild   R   ] sys-process/psmisc-22.6  USE="ipv6 nls -X* (-selinux)" 0 kB 
[ebuild   R   ] x11-libs/gtk+-2.12.11  USE="cups -X* -debug -doc -jpeg -tiff -vim-syntax -xinerama" 0 kB 
[ebuild   R   ] net-dns/avahi-0.6.22-r1  USE="dbus* gdbm gtk ipv6 python -autoipd -bookmarks -doc -howl-compat -mdnsresponder-compat -mono -qt3 -qt4 -test" 0 kB 
[ebuild   R   ] net-print/cups-1.3.8-r1  USE="acl avahi* dbus* pam perl python ssl -X* -gnutls -java -jpeg -kerberos -ldap -php -png -ppds -samba -slp -static -tiff -xinetd -zeroconf" LINGUAS="-de -en -es -et -fr -he -id -it -ja -pl -sv -zh_TW" 0 kB 
[ebuild   R   ] app-text/ghostscript-gpl-8.62  USE="cups gtk -X* -bindist -cjk -djvu -jpeg2k" 0 kB 

Total: 10 packages (10 reinstalls), Size of downloads: 0 kB
Comment 10 Rémi Cardona gentoo-dev 2008-09-18 10:41:34 UTC
You definitely want to add "X" if you have a standard desktop configuration.
Comment 11 hadian 2008-09-18 13:59:09 UTC
Created attachment 165717 [details]
/etc/make.conf file

i added X and dbus to USE flags and updated the system. here my make.conf is attached.
p.s. i have these 2 lines in /etc/portage/package.use:
net-dns/avahi -gtk 
net-print/cups -avahi

using these changes gnome installed successfully. 
should i change the bug to FIXED?
Comment 12 Rémi Cardona gentoo-dev 2008-09-19 11:11:23 UTC
(In reply to comment #11)
> Created an attachment (id=165717) [edit]
> /etc/make.conf file
> 
> i added X and dbus to USE flags and updated the system. here my make.conf is
> attached.
> p.s. i have these 2 lines in /etc/portage/package.use:
> net-dns/avahi -gtk

But you need avahi with gtk for vinagre...

Alright, let's do things differently :)

1) remove both lines from package.use and put USE="-avahi -cups" in /etc/make.conf
2) emerge -DuN world
3) readd USE="avahi cups"
4) emerge -DuN world

Anyhow, something weird probably just happened on your box...

Don't hesitate to reopen this bug if you have any more issues.

Thanks
Comment 13 Gilles Dartiguelongue gentoo-dev 2008-09-19 13:22:49 UTC
FYI, you probably have an old version of the ebuild or you get it from an overlay because the one I see in portage does have a check you gtk support in avahi. That's why remi closed it as invalid.

This is the header of the current version in portage tree:

$Header: /var/cvsroot/gentoo-x86/net-misc/vinagre/vinagre-0.5.1.ebuild,v 1.9 2008/08/12 13:49:31 armin76 Exp $

please check that yours is similar.
Comment 14 hadian 2008-09-20 14:31:23 UTC
what i did:
1- emerge --sync
2- having "-avahi -cups" as USE in make.conf
3- emerge -DuN world => no error
4- having "avahi cups" as USE in make.conf
5- emerge -DuN world => 13 packages should be updated. fails on net-print/cups-1.3.8-r1 with this error:
* In order to have cups working with avahi zeroconf support, you need
 * to have net-dns/avahi emerged with "mdnsresponder-compat" in your USE
 * flag. Please add that flag, re-emerge avahi, and then emerge cups again.
 * 
 * ERROR: net-print/cups-1.3.8-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called pkg_setup
 *    cups-1.3.8-r1.ebuild, line   84:  Called die
 * The specific snippet of code:
 *   		die "net-dns/avahi is missing the mdnsresponder-compat feature."
 *  The die message:
 *   net-dns/avahi is missing the mdnsresponder-compat feature.
 
Comment 15 hadian 2008-09-21 12:42:00 UTC
sorry, i do not know which file is the portage tree. 
> This is the header of the current version in portage tree:
> 
> $Header: /var/cvsroot/gentoo-x86/net-misc/vinagre/vinagre-0.5.1.ebuild,v 1.9
> 2008/08/12 13:49:31 armin76 Exp $
> 
> please check that yours is similar.
> 

Comment 16 Arun Raghavan (RETIRED) gentoo-dev 2008-09-21 15:56:33 UTC
(In reply to comment #15)
> sorry, i do not know which file is the portage tree. 

Usually /usr/portage/net-misc/vinagre/vinagre-0.5.1.ebuild
Comment 17 Rémi Cardona gentoo-dev 2008-09-21 16:58:00 UTC
(In reply to comment #14)
> * In order to have cups working with avahi zeroconf support, you need
>  * to have net-dns/avahi emerged with "mdnsresponder-compat" in your USE
>  * flag. Please add that flag, re-emerge avahi, and then emerge cups again.
>  * 
>  * ERROR: net-print/cups-1.3.8-r1 failed.
>  * Call stack:
>  *               ebuild.sh, line   49:  Called pkg_setup
>  *    cups-1.3.8-r1.ebuild, line   84:  Called die
>  * The specific snippet of code:
>  *              die "net-dns/avahi is missing the mdnsresponder-compat
> feature."
>  *  The die message:
>  *   net-dns/avahi is missing the mdnsresponder-compat feature.
> 
> 

The way to solve this is pretty straight forward and very well explained in the error message above...

Thanks
Comment 18 hadian 2008-09-24 18:12:59 UTC
thanks, the problem solved.
Comment 19 Maximiliano 2008-10-09 02:00:41 UTC
*** Bug 240626 has been marked as a duplicate of this bug. ***